KDE 4.2 PyKDE API Reference

- KDE's Python API

# NETFullscreenMonitors Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

## Attributes

int | bottom
int | left
int | right
int | top

## Methods

| __init__ (self)
bool | isSet (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor to initialize this struct to -1,0,0,0 (an initialized, albeit invalid, topology).

bool isSet | ( |  | self ) |

## Attribute Documentation

int bottom

Monitor index whose left border defines the left edge of the topology.

int left

Monitor index whose right border defines the right edge of the topology.

int right

Convenience check to make sure that we are not holding the initial (invalid) values. Note that we don't want to call this isValid() because we're not actually validating the monitor topology here, but merely that our initial values were overwritten at some point by real (non-negative) monitor indices.

int top

Monitor index whose bottom border defines the bottom edge of the topology.